> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アカウント一覧の取得

> アカウント一覧の取得は、親アカウント内のサブアカウントを一覧表示します。



## OpenAPI

````yaml ja/API/REST-API-Embedded.yaml GET /poweredby/account/list
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /poweredby/account/list:
    get:
      tags:
        - Account
      summary: List Accounts
      description: |
        List Accounts lists the sub-accounts within the parent account.
      operationId: listAccounts
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResult'
              example:
                accounts:
                  - id: fee1ce9d-c40c-4ef6-8f8c-77461315713d
                    externalId: ExternalId
                    accountName: Acme Corporation
                    created: '2023-07-13T20:42:56.317Z'
                  - id: c6cc4c16-35c8-4657-90c6-f93d401b0ae9
                    externalId: GlobeInc
                    accountName: Globe Inc
                    created: '2024-07-16T18:03:19.622Z'
components:
  schemas:
    AccountListResult:
      type: object
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountInfo'
          nullable: true
      additionalProperties: false
    AccountInfo:
      type: object
      required:
        - id
        - externalId
        - created
      properties:
        id:
          type: string
          description: The internal Connect AI account Id.
        externalId:
          type: string
          description: The Connect AI Embed external account identifier.
        accountName:
          type: string
          description: The display name of the account.
          nullable: true
        created:
          type: string
          format: date-time
          description: The time this account was created.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/ja/API/Authentication-Embedded) for more information
        on creating a token.

````